www-repository mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Gilles Scokart" <gscok...@gmail.com>
Subject Re: ws files with \ in the MD5 hash
Date Mon, 09 Jun 2008 13:33:05 GMT
No, it was only partially fixed in the apache repository, but not
synced with the central repository [1].
I have tried to contact the ws-commons community last month [2] but
didn't get any response.  I retried today [3] on an other list.
I guess I could have patched the incorrect md5 directly on apache
repository and then ask to resync the maven central repository, but I
wanted to have the go ahead of the ws people first.


[1] http://mail-archives.apache.org/mod_mbox/www-repository/200805.mbox/%3ce9d8a2610805212340m18cadf8eo1551cc6406197fec@mail.gmail.com%3e
[2] http://markmail.org/message/uoua5cqumjagubol
[3] http://markmail.org/message/ewmses6de3cqge52

Gilles

2008/6/9 Davanum Srinivas <davanum@gmail.com>:
> -----BEGIN PGP SIGNED MESSAGE-----
> Hash: SHA1
>
> This was already fixed.
>
> - -- dims
>
> Steve Loughran wrote:
> | Has this been addressed recently, I seem to recall some discussion?
> |
> |  Ivy users are being hit by a \ at the front of the MD5 sum for some
> | of the ws packages, apparently
> |
> | org.apache.ws.commons.axiom#axiom-api;1.2.7
> | org.apache.neethi#neethi-2.0.4
> | and org.apache.commons.ws.schema#XmlSchema-1.4.2
> |
> |
> |
> |
> | -------- Original Message --------
> | Subject: [ivy] ivy:install failure for Axis2 1.4 and derivatives from
> | repo1.maven.org
> | Date: Mon, 9 Jun 2008 12:37:07 +0200
> | From: Scheper, Erik-Berndt <erik-berndt.scheper@sogeti.nl>
> | Reply-To: Ant Developers List <dev@ant.apache.org>
> | To: <dev@ant.apache.org>
> |
> | Hi,
> |
> | I am trying to copy the Axis2 1.4 libraries and their derivatives from
> | repo1.maven.org.
> | However, this fails due to an MD5 difference.
> |
> | [ivy:install] CLIENT ERROR: Not Found
> |
> url=http://repo1.maven.org/maven2/org/apache/ws/commons/axiom/axiom-api/1.2.7/axiom-api-1.2.7.pom.sha1
> | [ivy:install]  repo1.maven.org: downloading
> |
> http://repo1.maven.org/maven2/org/apache/ws/commons/axiom/axiom-api/1.2.7/axiom-api-1.2.7.pom.md5
> | [ivy:install]  [FAILED     ]
> | org.apache.ws.commons.axiom#axiom-api;1.2.7!axiom-api.pom(pom.original):
> | invalid md5: expected=\d679962e170ce87fc7e9e13d338c82bf
> | computed=d679962e170ce87fc7e9e13d338c82bf (1328ms)
> | [ivy:install] WARN: problem while downloading module descriptor:
> |
> http://repo1.maven.org/maven2/org/apache/ws/commons/axiom/axiom-api/1.2.7/axiom-api-1.2.7.pom:
> | invalid md5: expected=\d679962e170ce87fc7e9e13d338c82bf
> | computed=d679962e170ce87fc7e9e13d338c82bf (1328ms)
> |
> |
> | The problem is that the MD5 hashes in the maven repository contain a
> | preceding \ character.
> | Are the MD5 hashes invalid, or is this a bug in the Ivy install task?
> -----BEGIN PGP SIGNATURE-----
> Version: GnuPG v1.4.5 (Cygwin)
>
> iD8DBQFITSr3gNg6eWEDv1kRAkUJAJ9/Ky1VFTa5w7LAoVwptInJWYz+iwCdFdL3
> 7DVGj4TD+RKKBNgaUW98/b4=
> =aY0H
> -----END PGP SIGNATURE-----
>



-- 
Gilles Scokart

Mime
View raw message